boost::locale::date_time_duration Class Reference
Date, Time, Timezone and Calendar manipulations

This class represents a period: a pair of two date_time objects. More...

`#include <boost/locale/date_time.hpp>`

## Public Member Functions

| date_time_duration (const date_time &first, const date_time &second)
int | get (period::period_type f) const
| find a difference in terms of period_type f
int | operator/ (period::period_type f) const
| Syntactic sugar for get(f)
const date_time & | start () const
| Get starting point.
const date_time & | end () const
| Get ending point.

## Detailed Description

This class represents a period: a pair of two date_time objects.

It is generally used as syntactic sugar to calculate difference between two dates.

Note: it stores references to the original objects, so it is not recommended to be used outside of the equation you calculate the difference in.

## Constructor & Destructor Documentation

## date_time_duration()

boost::locale::date_time_duration::date_time_duration | ( | const date_time & | first,
|  | const date_time & | second
| ) |  |

inline

Create an object were first represents earlier point on time line and second is later point.

The documentation for this class was generated from the following file:

- boost/locale/date_time.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.